Workflows
Archive a workflow (compatibility alias)
Deprecated compatibility alias for the preconditioned soft-archive command. The workflow definition and execution history are retained; the workflow is disabled and excluded from runnable discovery.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/workflows/string" \ -H "Content-Type: application/json" \ -d '{ "commandKey": "workflow-archive-01J2YQCDV9JXQEM3PB9RJK3WMN", "expectedRevision": 4 }'{ "success": true, "message": "Workflow created successfully", "data": { "_id": "64d2f9c5e8a1d4e001a0b1c2", "name": "New Lead Welcome", "description": "Greet new leads and assign them to a leasing agent.", "organizationId": "64a1b2c3d4e5f60012345678", "userId": "64a1b2c3d4e5f60012345679", "nodes": [], "edges": [], "viewport": { "x": 0, "y": 0, "zoom": 1 }, "enabled": false, "createdAt": "2026-04-12T14:22:10.000Z", "updatedAt": "2026-04-12T14:22:10.000Z" }}